Bug 428484

Summary: kvm guest freezes periodically
Product: [Fedora] Fedora Reporter: Jonathan Underwood <jonathan.underwood>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: berrange, clalance, michel
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-11-26 06:21:39 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jonathan Underwood 2008-01-11 19:07:37 EST
Description of problem:
I have a guest installation of Windows XP Pro running insde qemu-kvm. The guest
is however unusable because after it's been up for a about a minute it starts to
periodically hang for 10-20 seconds at a time, during which time the mouse
doesn't move, the display doesn't update, no response to keyboard. i am
connecting to the guest instance using virt-manager and friends, and when the
guest is frozen, I can happily Ctrl-Alt out of the windo i.e. the host is not
hanging.  This is on an intel x86_64. This has occured with all F8 kernels as
released so far.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot guest
2.Watch it hang.
Comment 1 Michel Alexandre Salim 2008-02-18 12:33:06 EST
On my Core 2 Duo (Merom) laptop, the installation of XP did not even finish. I
conservatively used 1 CPU (not 2, just in case KVM's SMP support is the
problem), and it froze when registering components.

Using kvm-60 from Rawhide (no other changes; using latest update kernel from F8)
fixes the issue. Please consider updating the F8 version?
Comment 2 Bug Zapper 2008-11-26 04:24:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Jonathan Underwood 2008-11-26 06:21:39 EST
Not seeing this anymore in F-9. Closing.